Subject: Re: [Dhcpv6bis] [dhcpv6bis] #42 (XML 3315): IANA actions: rename registry

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 6 Mar 2014 01:02:23 +0000

So I didn't speak with the IANA folks today (they had already left for day), but look at the IANA page as I am pretty sure Ted and I had already worked with them to clarify that this was v6 ...

Title for b6 page is "Dynamic Host Configuration Protocol for IPv6 (DHCPv6)". The subsections don't say DHCPv6, but not sure if that is critical. IANA sections just need to refer to the "Dynamic Host Configuration Protocol for IPv6 (DHCPv6)" (url?) and them the subsection.

Do we thing this is enough or should we ask to change dhcp to dhcpv6 in the subsections?

- Bernie (from iPad)

On Mar 5, 2014, at 9:24 AM, "dhcpv6bis issue tracker" <[email-masked]<mailto:[email-masked]>> wrote:

#42: IANA actions: rename registry

Changes (by [email-masked]<mailto:[email-masked]>):

* owner:   => [email-masked]<mailto:[email-masked]>
* milestone:   => A easy, apply before merge

Comment:

Ask IANA/AD if we need a draft. If yes, write a small I-D that does that
separately.

Proposed names: "DHCPv4 (and BOOTP) Option Codes", "DHCPv6 Option Codes".

--
-------------------------------------+-------------------------------------
Reporter:                           |       Owner:  [email-masked]<mailto:[email-masked]>
 [email-masked]<mailto:[email-masked]>         |      Status:  new
    Type:  task                     |   Milestone:  A easy, apply before
Priority:  P1 blocker               |  merge
Component:  XML 3315                 |  Resolution:
Keywords:                           |
-------------------------------------+-------------------------------------

Ticket URL: <http://trac.tools.ietf.org/group/dhcpv6bis/ticket/42#comment:1>
dhcpv6bis <http://tools.ietf.org/group/dhcpv6bis/>

---

From: "Leaf Yeh" <[email-masked]>
Date: Thu, 6 Mar 2014 10:11:20 -0000

I guess the original intention of the ticket #42 was :

to updating section 24.3 of RFC 3315

from 

"
24.3. DHCP Options

   IANA has recorded the following option-codes (as defined in section

   22).  IANA will maintain the registry of DHCP option codes.

"

to be

"
24.3. DHCPv6 Options

   IANA has recorded the following option-codes (as defined in section

   22).  IANA will maintain the registry of DHCPv6 Option Codes.

"

Best Regards,

Leaf

From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Bernie Volz
(volz)
Sent: Thursday, March 06, 2014 1:02 AM
To: [email-masked]
Subject: Re: [Dhcpv6bis] [dhcpv6bis] #42 (XML 3315): IANA actions: rename
registry

So I didn't speak with the IANA folks today (they had already left for day),
but look at the IANA page as I am pretty sure Ted and I had already worked
with them to clarify that this was v6 ...

Title for b6 page is "Dynamic Host Configuration Protocol for IPv6
(DHCPv6)". The subsections don't say DHCPv6, but not sure if that is
critical. IANA sections just need to refer to the "Dynamic Host
Configuration Protocol for IPv6 (DHCPv6)" (url?) and them the subsection.

Do we thing this is enough or should we ask to change dhcp to dhcpv6 in the
subsections?

- Bernie (from iPad)

On Mar 5, 2014, at 9:24 AM, "dhcpv6bis issue tracker"
<[email-masked]> wrote:

Changes (by [email-masked]):

* owner:   => [email-masked]
* milestone:   => A easy, apply before merge

Comment:

-- 
-------------------------------------+-------------------------------------
Reporter:                           |       Owner:  [email-masked]
 [email-masked]         |      Status:  new
    Type:  task                     |   Milestone:  A easy, apply before
Priority:  P1 blocker               |  merge
Component:  XML 3315                 |  Resolution:
Keywords:                           |
-------------------------------------+-------------------------------------

---

From: Ted Lemon <[email-masked]>
Date: Thu, 6 Mar 2014 13:06:00 +0000

> Do we thing this is enough or should we ask to change dhcp to dhcpv6 in the subsections?

You should do what is best, not what is easiest, because what is best isn't likely to be very hard.   My inclination is that you should make this change, but I'm not wedded to it.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 6 Mar 2014 13:21:26 +0000

I think the best is to ask IANA to remove "DHCP" from the section names on the DHCPv6 page (so it is just Message Types and Option Codes). I will ask if they would consider doing this and what is needed.

- Bernie

---

From: Ted Lemon <[email-masked]>
Date: Thu, 6 Mar 2014 13:26:00 +0000

> I think the best is to ask IANA to remove "DHCP" from the section names on the DHCPv6 page (so it is just Message Types and Option Codes). I will ask if they would consider doing this and what is n…

Sounds good.   Thanks!